cc.funkemunky.api.profiling

## Interface Profiler

All Known Implementing Classes:
  BaseProfiler, ToggleableProfiler

    public interface Profiler

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `reset()`
`java.util.Map<java.lang.String,Tuple<java.lang.Integer,java.lang.Double>>` `results(ResultsType type)`
`void` `start()`
`void` `start(java.lang.String name)`
`void` `stop()`
`void` `stop(java.lang.String name)`
`void` `stop(java.lang.String name, long extense)`

### Method Detail

#### start

    void start(java.lang.String name)

#### start

    void start()

#### stop

    void stop(java.lang.String name,
              long extense)

#### stop

    void stop(java.lang.String name)

#### stop

    void stop()

#### reset

    void reset()

#### results

    java.util.Map<java.lang.String,Tuple<java.lang.Integer,java.lang.Double>> results(ResultsType type)